SDL_GetCameraInstanceID(3)

NAME
SDL_GetCameraInstanceID - Get the instance ID of an opened camera.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_CameraDeviceID SDL_GetCameraInstanceID(SDL_Camera *camera);

FUNCTION PARAMETERS

camera
    an SDL_Camera
     to query

RETURN VALUE
Returns the instance ID of the specified camera on success or 0 on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_OpenCameraDevice(3)